Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.Excel2PDFConfig Class Reference

## Public Member Functions
| constructor (is_separate_workbook, is_output_hidden_worksheets, worksheet_names)
| Constructor, with parameters. More...
| Set (is_separate_workbook, is_output_hidden_worksheets, worksheet_names)
| Set value. More...

## Public Attributes
| is_output_hidden_worksheets
| A boolean value which indicates whether to output the hidden worksheets. More...
| is_separate_workbook
| A boolean value which indicates whether to export worksheets to separate PDF files. More...
| worksheet_names
| An array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Member Function Documentation

## ◆ constructor()

FSDK.Excel2PDFConfig.constructor | ( | is_separate_workbook | ,
|  | is_output_hidden_worksheets | ,
|  | worksheet_names |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## ◆ Set()

FSDK.Excel2PDFConfig.Set | ( | is_separate_workbook | ,
|  | is_output_hidden_worksheets | ,
|  | worksheet_names |
| ) |  |

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## Member Data Documentation

## ◆ is_output_hidden_worksheets

FSDK.Excel2PDFConfig.is_output_hidden_worksheets

A boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

## ◆ is_separate_workbook

FSDK.Excel2PDFConfig.is_separate_workbook

A boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

## ◆ worksheet_names

FSDK.Excel2PDFConfig.worksheet_names

An array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.